import React, { useState } from 'react'
import KeyVisits from "./keyVisits";
import { link } from '../../../../assets/images'

export default function DetailDialog(props) {
  const nuturalList = [
    [
      {
        label: '姓名',
        perClass: '自然人',
        width: '120',
        value: '李晓明',
        isName: true,//判断是否是姓名标签
      },
      {
        label: '联系方式',
        width: '120',
        value: '13380313411',
      },
    ],
    [
      {
        label: '证件类型',
        value: '居民身份证',
      },
      {
        label: '证件号码',
        value: '440981199999999999',
      },
    ],
    [
      {
        label: '联系地址',
        value: '居民身份证',
      },
      {
        label: '户籍地址',
        value: '广州市天河区棠下街20号',
      },
    ],
    [
      {
        label: '工作单位',
        value: '好又多',
      },
      {
        label: '民族',
        value: '汉',
      },
    ],
    [
      {
        label: '性别',
        value: '男',
      },
      {
        label: '是否有个人极端倾向',
        value: '否',
      },
    ],
    [
      {
        label: '身份证新材料',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />李晓明身份证明材料.pdf
        </a>,
      },
    ],
  ]
  const legalList = [
    [
      {
        label: '企业名称',
        perClass: '法人',
        width: '120',
        value: '李晓明',
        isName: true,//判断是否是姓名标签
      },
      {
        label: '联系方式',
        width: '120',
        value: '13380313411',
      },
    ],
    [
      {
        label: '企业所在地',
        value: '广州市天河区棠下街120号',
      },
      {
        label: '统一社会信用代码',
        value: '440981199999999999',
      },
    ],
    [
      {
        label: '法定代表人',
        value: '蒋照月',
      },
      {
        label: '企业类型',
        value: '餐饮服务',
      },
    ],
    [
      {
        label: '住所',
        value: '广州市天河区棠下街120号',
      },
    ],
    [
      {
        label: '登记企业材料',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />广东好又多餐饮有限公司营业执照.pdf
        </a>,
      },
      {
        label: '法定代表人身份证明材料',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />江照月个人身份.pdf
        </a>,
      },
    ],
  ]
  const organizationList = [
    [
      {
        label: '机构名称',
        perClass: '非法人组织',
        width: '120',
        value: '李晓明',
        isName: true,//判断是否是姓名标签
      },
      {
        label: '联系方式',
        width: '120',
        value: '13380313411',
      },
    ],
    [
      {
        label: '机构所在地',
        value: '广州市天河区棠下街120号',
      },
      {
        label: '机构组织代码',
        value: '440981199999999999',
      },
    ],
    [
      {
        label: '机构代表人',
        value: '蒋照月',
      },
      {
        label: '机构类型',
        value: '餐饮服务',
      },
    ],
    [
      {
        label: '住所',
        value: '广州市天河区棠下街120号',
      },
    ],
    [
      {
        label: '机构登记材料',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />广东好又多餐饮有限公司营业执照.pdf
        </a>,
      },
      {
        label: '机构代表人身份证明材料',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />江照月个人身份.pdf
        </a>,
      },
    ],
  ]
  const agentList = [
    [
      {
        label: '姓名',
        perClass: '代理人',
        width: '120',
        value: '李晓明',
        isName: true,//判断是否是姓名标签
      },
      {
        label: '联系方式',
        width: '120',
        value: '13380313411',
      },
    ],
    [
      {
        label: '证件类型',
        value: '居民身份证',
      },
      {
        label: '证件号码',
        value: '440981199999999999',
      },
    ],
    [
      {
        label: '联系地址',
        value: '居民身份证',
      },
      {
        label: '户籍地址',
        value: '广州市天河区棠下街20号',
      },
    ],
    [
      {
        label: '工作单位',
        value: '好又多',
      },
      {
        label: '民族',
        value: '汉',
      },
    ],
    [
      {
        label: '性别',
        value: '男',
      },
      {
        label: '是否有个人极端倾向',
        value: '否',
      },
    ],
    [
      {
        label: '委托关系',
        value: '亲属',
      },
      {
        label: '委托类型',
        value: '一般授权代理',
      },
    ],
    [
      {
        label: '代理对象',
        value: '广东好又多贸易公司',
      },
    ],
    [
      {
        label: '身份证明材料',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />广东好又多餐饮有限公司营业执照.pdf
        </a>,
      },
      {
        label: '代理人授权委托书',
        value: <a href="your-link-here.html" target="_blank">
          <img src={link} alt="" className="title-file" />江照月个人身份.pdf
        </a>,
      },
    ],
  ]
  const tableList = agentList

  return (
    <div>
      <table border="1" align="center" cellpadding="8" className="table" style={{marginBottom: '20px'}}>
        {
          tableList?.map((item, index) => {
            return <tr key={index}>
              {
                item?.map(res => {
                  return <>
                    <th bgcolor="#F7F8FA" className="table-title" width={res.width ? res.width : ''}>{res.label}</th>
                    <td width='380'>
                      <div style={{ display: 'flex' }}>
                        <div>{res.value}</div>
                        {res.isName && <div className="title-personRemark">{res.perClass}</div>}
                      </div>
                    </td>
                  </>
                })
              }
            </tr>
          })
        }
        {/* <tr>
          <th bgcolor="#F7F8FA" className="table-title" width="120">姓名</th>
          <td width='380'><div style={{ display: 'flex' }}><div>李晓明</div><div className="title-personRemark">自然人</div></div></td>
          <th bgcolor="#F7F8FA" className="table-title" width="120">联系方式</th>
          <td width='380'>19</td>
          <th bgcolor="#F7F8FA" className="table-title" width='140'>性别</th>
          <td>汉</td>
        </tr>
        <tr>
          <th bgcolor="#F7F8FA" className="table-title">证件类型</th>
          <td>19970000</td>
          <th bgcolor="#F7F8FA" className="table-title">证件号码</th>
          <td>团员</td>
          <th bgcolor="#F7F8FA" className="table-title">民族</th>
          <td>本科</td>
        </tr>
        <tr>
          <th bgcolor="#F7F8FA" className="table-title">联系地址</th>
          <td>网络工程</td>
          <th bgcolor="#F7F8FA" className="table-title">户籍地址</th>
          <td>淮南师范学院</td>
          <th bgcolor="#F7F8FA" className="table-title" rowspan="2" >是否有个人极端倾向</th>
          <td rowspan="2" >237483</td>
        </tr>
        <tr>
          <th bgcolor="#F7F8FA" className="table-title">工作单位</th>
          <td>玩，拆，装</td>
          <th bgcolor="#F7F8FA" className="table-title">身份证明材料</th>
        </tr> */}
      </table>
      {/* 重复来访重点人员 */}
      <div style={{ width: 'calc(100% - 9px)', background: '#f2f3f5', marginBottom: '20px', padding: '12px' }}>
        <KeyVisits />
      </div>
    </div>
  )
}
